import numpy as np
import tt, moon

filename = "dati_nascite.dat"
data = np.loadtxt(filename, dtype=np.int_,
                  converters={0: tt.toseconds}, unpack=True)

cvt_moon = np.vectorize(moon.moon_phase)
moonphase = cvt_moon(data[0])

m0 = np.array([1 if x==0 else 0 for x in moonphase]) 
m1 = np.array([1 if x==1 else 0 for x in moonphase]) 
m2 = np.array([1 if x==2 else 0 for x in moonphase]) 
m3 = np.array([1 if x==3 else 0 for x in moonphase]) 

births0 = np.dot(m0,data[3])
births1 = np.dot(m1,data[3])
births2 = np.dot(m2,data[3])
births3 = np.dot(m3,data[3])

births = births0+births1+births2+births3

f_births = np.array([births0,births1,births2,births3])/births
f_expect = np.array([np.sum(m0),np.sum(m1),np.sum(m2),np.sum(m3)])/len(moonphase)

chi_sq = sum([(x-y)**2/y for (x,y) in zip(f_births, f_expect)])
