import numpy as np
from scipy.ndimage import map_coordinates, imread

# Generate two 1024x1024 images shifted by given amount
# by interpolating in the input image

def twoimages(im_file,sx,sy): 
    img = imread(im_file)

    x0_1 = (img.shape[0]-1024 - sx)*0.5; x1_1 = x0_1+1023.5
    y0_1 = (img.shape[1]-1024 - sy)*0.5; y1_1 = y0_1+1023.5

    xi = np.mgrid[y0_1:y1_1:1.0, x0_1:x1_1:1.0]  # Note: swapped axes
    i1 = map_coordinates(img, xi, order=1, mode='nearest')

    x0_2 = x0_1+sx; x1_2 = x1_1+sx
    y0_2 = y0_1+sy; y1_2 = y1_1+sy
    xi = np.mgrid[y0_2:y1_2:1.0, x0_2:x1_2:1.0]  # Note: swapped axes
    i2 = map_coordinates(img, xi, order=1, mode='nearest')

    return i1, i2
