import sys, time
from astroquery.simbad import Simbad
from starlist import STAR_DB

Simbad.add_votable_fields("flux(U)", "flux(B)", "flux(V)")

for star in STAR_DB:
    time.sleep(1)
    try:
        obj = Simbad.query_object(star[0])
    except Exception as e:
        print("Error:", str(e))
    else:
        if obj:
            obj_data = [obj["MAIN_ID"].data[0], obj['RA'].data[0],
                        obj['DEC'].data[0], obj["FLUX_U"].data[0],
                        obj["FLUX_B"].data[0], obj["FLUX_V"].data[0]]
            star.extend(obj_data)
            print(star)
        else:
            print( "%s (%s): not found" % (star[0], star[1]))
