import json
from photutils import centroid_com, CircularAperture, aperture_photometry
from pipeline import CalPipeline

from centroid import centroid

CIRCFILE = "selected.dat"
STAR_RADIUS = 30

def flux(img, cc):
    ctd = centroid(img, cc)
    aperture = CircularAperture(ctd[0:2], STAR_RADIUS)
    flx = aperture_photometry(img, aperture)
    cc[0] = ctd[0]
    cc[1] = ctd[1]
    return flx["aperture_sum"][0]
 
DIFF_FLUX = []
STAR_FLUXES=[]
def calc_flux(img, step, args, common_args):
    global DIFF_FLUX
    fluxes = []
    for cc in common_args["circles"]:
        fluxes.append(flux(img, cc))
    STAR_FLUXES.append(fluxes)
    diff_flux = fluxes[0]/sum(fluxes[1:])
    DIFF_FLUX.append(diff_flux)
    print("Step %d done"%step)

if __name__ == "__main__":
    with open(CIRCFILE) as cfile:
        cdata = json.load(cfile)
    pipe = CalPipeline(calc_flux, {"circles": cdata})
    pipe.run()
