import json, os
import matplotlib.pyplot as plt
from show import show
from pipeline import CalPipeline

CIRCFILE = "selected.dat"
def time_lapse(img, step, args, common_args):
    axes = common_args["axes"]
    axes.cla()
    show(img)
    for cc in common_args["circles"]:
        axes.add_artist(cc)
    plt.title("img: %d"%step)
    plt.pause(0.05)

if __name__ == "__main__":
    plt.ion()
    fig = plt.figure()
    ax = fig.gca()
    circles = []
    with open(CIRCFILE) as cfile:
        cdata = json.load(cfile)
    for cd in cdata:
        circles.append(plt.Circle((cd[0], cd[1]),
                       cd[2], color="cyan", fill=False))
    pipe = CalPipeline(time_lapse, {"axes":ax, "circles":circles})
    pipe.run()
