import json, os
import matplotlib.pyplot as plt
from show import show
from photutils import centroid_com, CircularAperture, aperture_photometry
from pipeline import CalPipeline
from centroid import centroid

CIRCFILE = "selected.dat"
BRACE = 30
STAR_RADIUS = 30
def time_lapse(img, step, args, common_args):
    axes = common_args["axes"]
    axes.cla()
    show(img)
    cc = common_args["center"]
    plt.plot((cc[0]-BRACE, cc[0]+BRACE), (cc[1], cc[1]), color="cyan")
    plt.plot((cc[0], cc[0]), (cc[1]-BRACE, cc[1]+BRACE), color="cyan")
    ccx, ccy = centroid(img, cc)
    plt.title("img: %d - Center: %.2f, %.2f / %.2f, %.2f"%(step, cc[0], cc[1], ccx, ccy))
    cc[0] = ccx
    cc[1] = ccy
    plt.pause(0.10)

if __name__ == "__main__":
    plt.ion()
    fig = plt.figure()
    ax = fig.gca()
    with open(CIRCFILE) as cfile:
        cdata = json.load(cfile)
    pipe = CalPipeline(time_lapse, {"axes":ax, "center":cdata[0]})
    pipe.run()
