import json
import matplotlib.pyplot as plt
from show import show
from pipeline import CalPipeline
from recenter import Recenter

CIRCFILE = "selected.dat"
STAR_RADIUS = 50
def time_lapse(img, step, args, common_args):
    global CIRCLES
    if step==0:
        CIRCLES = common_args["circles"]
    rad = CIRCLES[0][2]
    cx,cy = common_args["imgc"]
    wx0=cx-rad; wx1=cx+rad; wy0=cy-rad; wy1=cy+rad
    axes = common_args["axes"]
    axes.cla()
#   show(img[wy0:wy1, wx0:wx1], extent=(wx0,wx1,wy0,wy1))
    show(img)
    shf = common_args["shift"].shift(step)
    cx = CIRCLES[0][0]+shf[0]
    cy = CIRCLES[0][1]+shf[1]
    plt.plot(cx, cy, "+", color="cyan")
    plt.title("img: %d - Center: %d, %d"%(step, cx, cy))
    plt.pause(0.05)

if __name__ == "__main__":
    plt.ion()
    fig = plt.figure()
    ax = fig.gca()
    shf = Recenter("shifts_cc.dat")
    with open(CIRCFILE) as fpt:
        circles = json.load(fpt)
    icx = int(circles[0][0])
    icy = int(circles[0][1])
    pipe = CalPipeline(time_lapse, {"axes":ax, "imgc":(icx,icy), "circles":circles, "shift": shf})
    pipe.run()
