import numpy as np
from numpy.fft import fft2, ifft2, fftshift

def maxcoords(arr):
    maxid = arr.argmax()
    x = maxid%arr.shape[1]
    y = maxid//arr.shape[1]
    return np.array([x, y])

def crosscorr(l, r):    # Compute power spectrum
                        # from correlation matrix
                        # using FFT/iFFT.
    lf = fft2(l)
    rf = fft2(r)
    lf = np.conj(lf)
    iff = np.absolute(ifft2(lf*rf))
    return fftshift(iff)    # fftshift realignes the output
